file(GLOB_RECURSE DRIVERS_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/gpio/*.c
    ${CMAKE_CURRENT_SOURCE_DIR}/network/*.c
    ${CMAKE_CURRENT_SOURCE_DIR}/sensors/*.c
    ${CMAKE_CURRENT_SOURCE_DIR}/devicecontrol/*.c
    ${CMAKE_CURRENT_SOURCE_DIR}/selfcontrol/*.c
)

set(DRIVERS_SOURCES
    ${DRIVERS_SOURCES}
    PARENT_SCOPE
)

set(DRIVERS_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}/gpio
    ${CMAKE_CURRENT_SOURCE_DIR}/network
    ${CMAKE_CURRENT_SOURCE_DIR}/sensors
    ${CMAKE_CURRENT_SOURCE_DIR}/devicecontrol
    ${CMAKE_CURRENT_SOURCE_DIR}/selfcontrol
    PARENT_SCOPE
)
